﻿using Battleship.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Battleship.Entities
{
    internal class EntityBattleship: EntityShip
    {
        
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия башни
        /// </summary>
        public bool Tower { get; private set; }
        /// <summary>
        /// Признак (опция) наличия секции под ракеты
        /// </summary>
        public bool Section { get; private set; }
        /// <summary>
        /// Шаг перемещения
        /// </summary>

        /// <summary>
        /// Инициализация полей объекта-класса спортивного автомобиля
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес автомобиля</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="tower">Признак наличия орудийной башни</param>
        /// <param name="section">Признак наличия отсека под ракеты</param>
        public EntityBattleship(int speed, double weight, Color bodyColor, Color
        additionalColor, bool tower, bool section) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Tower = tower;
            Section = section;
        }
    }
}
